例外 try except – Python

例外処理

try:
    a = a / 100
except NameError:
    print("変数名エラー")
else:
    print("エラーが発生しなかったらここを処理")
finally:
    print("エラー処理終了1")


try:
    a = 100 / 0
except (ZeroDivisionError,TypeError):
    print("0割り、型変換エラー")
finally:
    print("エラー処理終了2")


try:
    raise SyntaxError # 例外を引き起こす

except Exception:
    print("構文エラー")

実行結果は続きを

【実行結果】
変数名エラー
エラー処理終了1
0割り、型変換エラー
エラー処理終了2
構文エラー

You may also like

コメントを残す

メールアドレスが公開されることはありません。 * が付いている欄は必須項目です

CAPTCHA


このサイトはスパムを低減するために Akismet を使っています。コメントデータの処理方法の詳細はこちらをご覧ください